Package com.mockobjects.sql

# Class CommonMockDataSource

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.sql.CommonMockDataSource

All Implemented Interfaces:
  `Verifiable`, `Wrapper`, `CommonDataSource`, `DataSource`

Direct Known Subclasses:
  `MockDataSource`

public abstract class CommonMockDataSource extends MockObject implements DataSource
Abstract DataSource for use with mock testing. Only the connection methods have been implemented here. If testing of the log methods is needed, please submit a patch.

Version:
  $Revision: 1.1 $ $Date: 2002/08/27 16:34:04 $
Author:
  Ted Husted
See Also:
  - javax.sql.DataSource

## Constructor Summary

Constructors
Constructor
Description
`CommonMockDataSource()`

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getConnection()`
Returns connection instance passed by setupConnection, and increments the number of connect calls.
`Connection`
`getConnection(String username, String password)`
Calls notImplemented.
`int`
`getLoginTimeout()`
Calls notImplemented.
`PrintWriter`
`getLogWriter()`
Calls notImplemented.
`void`
`setExpectedConnectCalls(int callCount)`
Register the number of connections the test should make.
`void`
`setLoginTimeout(int seconds)`
Calls notImplemented.
`void`
`setLogWriter(PrintWriter out)`
Calls notImplemented.
`void`
`setupConnection(Connection aConnection)`
Pass the connection instance for use with tests.

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`createShardingKeyBuilder, getParentLogger`

### Methods inherited from interface javax.sql.DataSource

`createConnectionBuilder`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Constructor Details

### CommonMockDataSource

public CommonMockDataSource()

## Method Details

### setExpectedConnectCalls

public void setExpectedConnectCalls(int callCount)
Register the number of connections the test should make. The valid method will report any discrepancy with the actual count.

### setupConnection

public void setupConnection(Connection aConnection)
Pass the connection instance for use with tests. This instance will be returned until replaced with another.

### getConnection

public Connection getConnection()
Returns connection instance passed by setupConnection, and increments the number of connect calls.

Specified by:
  `getConnection` in interface `DataSource`

### getConnection

public Connection getConnection(String username, String password)
Calls notImplemented. Returns null.

Specified by:
  `getConnection` in interface `DataSource`

### getLoginTimeout

public int getLoginTimeout()
Calls notImplemented. Returns 0.

Specified by:
  `getLoginTimeout` in interface `CommonDataSource`
Specified by:
  `getLoginTimeout` in interface `DataSource`

### getLogWriter

public PrintWriter getLogWriter()
Calls notImplemented. Returns null.

Specified by:
  `getLogWriter` in interface `CommonDataSource`
Specified by:
  `getLogWriter` in interface `DataSource`

### setLoginTimeout

public void setLoginTimeout(int seconds)
Calls notImplemented.

Specified by:
  `setLoginTimeout` in interface `CommonDataSource`
Specified by:
  `setLoginTimeout` in interface `DataSource`

### setLogWriter

public void setLogWriter(PrintWriter out)
Calls notImplemented.

Specified by:
  `setLogWriter` in interface `CommonDataSource`
Specified by:
  `setLogWriter` in interface `DataSource`